<template>
  <div>
    <ModalEntrar v-if="!$page.props.user"/>
    <span v-else class="inline-flex rounded-md">
        <label class="inline-flex text-semibold items-center px-1 py-1 border border-yellow-300 text-sm leading-4 font-medium rounded-md text-red-500 bg-white">
        {{ $page.props.user.username }}
        </label>
        <form @submit.prevent="salir">
        <button type="submit" class="ml-2 p-1 bg-transparent text-yellow-300 border border-yellow-300 hover:text-gray-700 hover:bg-yellow-300 focus:outline-none rounded-md transition ease-in-out duration-150">
            Salir
        </button>
        </form>
    </span>
  </div>
</template>

<script>
import ModalEntrar from '@/Componentes/ModalEntrar'
export default {
  components: {
    ModalEntrar,
  },
  methods: {
    salir(){
      this.$inertia.post(route('logout'))
    }
  }
}
</script>

<style>

</style>